# Create

`POST /workspaces/:workspace/projects/:project_name/visual-tests/suites`

Add a new visual test suite to a project

**Required Scopes:** `VISUAL_TEST_MANAGE`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
  /** The human-readable ID of the project */
  project_name: string; // Example: "my-project"
}
```

## Body Parameters

```typescript
interface BodyParameters {
  /** Name of the visual test suite */
  name: string;
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** Unique identifier of the visual test suite */
  id?: string;
  /** Name of the visual test suite */
  name?: string;
  /** Unique identifier for the suite (auto-generated if not provided) */
  identifier?: string;
  /** Authentication token for the suite */
  token?: string;
}
```

## Response Example

**Status:** `201 Created`


---
Original source: https://buddy.works/docs/api/visual-tests/suites/create